{% extends 'base.html.twig' %}

{% block title %}Weather{% endblock %}

{% block body %}
    <h1>Weather</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ weather.id }}</td>
            </tr>
            <tr>
                <th>Date</th>
                <td>{{ weather.date ? weather.date|date('Y-m-d') : '' }}</td>
            </tr>
            <tr>
                <th>Pressure</th>
                <td>{{ weather.pressure }}</td>
            </tr>
            <tr>
                <th>Humidity</th>
                <td>{{ weather.humidity }}</td>
            </tr>
            <tr>
                <th>Temperature</th>
                <td>{{ weather.temperature }}</td>
            </tr>
            <tr>
                <th>Description</th>
                <td>{{ weather.description }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('measurements_index') }}">back to list</a>

    {% if is_granted("ROLE_EDIT_MEASUREMENT") %}
    <a href="{{ path('measurements_edit', {'id': weather.id}) }}">edit</a>
    {% endif %}

    {% if is_granted("ROLE_DELETE_MEASUREMENT") %}
    {{ include('measurements/_delete_form.html.twig') }}
    {% endif %}
{% endblock %}
